MPI_T_event_get_info(3)

NAME
MPI_T_event_get_info - Returns additional information about a specific event type

SYNOPSIS
int MPI_T_event_get_info(int event_index, char *name, int *name_len,
int *verbosity, MPI_Datatype array_of_datatypes[],
MPI_Aint array_of_displacements[], int *num_elements,
MPI_T_enum *enumtype, MPI_Info *info, char *desc,
int *desc_len, int *bind)

INPUT PARAMETERS
event_index
    - index of the event type to be queried between $0$ and $num_events-1$ (integer)

INPUT/OUTPUT PARAMETERS
name_len
    - length of the string and/or buffer for name (integer)
num_elements
    - length of array\\_of\\_datatypes and array\\_of\\_displacements arrays (non-negative integer)
desc_len
    - length of the string and/or buffer for desc (integer)

OUTPUT PARAMETERS
name
    - buffer to return the string containing the name of the event type (string)
verbosity
    - verbosity level of this event type (integer)
array_of_datatypes
    - array of mpi basic datatypes used to encode the event data (handle)
array_of_displacements
    - array of byte displacements of the elements in the event buffer (non-negative integer)
enumtype
    - optional descriptor for enumeration information (handle)
info
    - optional info object (handle)
desc
    - buffer to return the string containing a description of the event type (string)
bind
    - type of mpi object to which an event of this type must be bound (integer)

THREAD AND INTERRUPT SAFETY

This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as malloc or other non-MPICH runtime routines that are themselves not interrupt-safe.

ERRORS

All MPI routines (except MPI_Wtime and MPI_Wtick ) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with MPI_Comm_set_errhandler (for communicators), MPI_File_set_errhandler (for files), and MPI_Win_set_errhandler (for RMA windows). The MPI-1 routine MPI_Errhandler_set may be used but its use is deprecated. The predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.

MPI_SUCCESS
    - No error; MPI routine completed successfully.
MPI_T_ERR_INVALID
    - Invalid use of the interface or bad parameter values(s).
MPI_T_ERR_INVALID_INDEX
    - Index is invalid or has been deleted.
MPI_T_ERR_NOT_INITIALIZED
    - The MPI tool information interface is not initialized.
MPI_ERR_OTHER
    - Other error; use MPI_Error_string to get more information about this error code.